:root {
  --primary: #1e1e1e;
  --secondary: #2e2e2e;
  --subdued: #3e3e3e;
  --accent: #ff6f61;

  font-family: Impact, Haettenschweiler, "Arial Narrow Bold", sans-serif;
  color-scheme: dark;
}

body {
  font: 16px/1.6/1.6;
  background: var(--primary) !important;

  display: flex;
  flex-direction: column;
  align-items: center;

  height: 100%;
  width: 100%;
}

/* Custom CSS */
#navbar {
  background-color: var(--primary);
  border-bottom: var(--accent) 1px solid;
}

#navbar button {
  background-color: var(--primary);
  color: white;
  border: none;
  cursor: pointer;
}

#center {
  justify-content: center !important;
  align-items: center !important;
}

#main-section {
  max-width: 80%;
}

#movies {
  margin-right: 1rem;
}

#movies-grid {
  display: grid;
  gap: 1rem;
  grid-template-columns: repeat(3, minmax(220px, 1fr));
}

.movie-item {
  display: block;
}

.movie-item .card {
  height: 100%;
}

#featured-movies .card {
  max-width: 30rem !important;
}

#footer {
  position: relative;
  bottom: 0;

  border-top: var(--accent) 1px solid;
  background-color: var(--primary);
}

/* Media Queries */
@media screen and (max-width: 480px) {
  #movies-grid {
    grid-template-columns: 1fr !important;
  }
}

@media screen and (max-width: 768px) {
  #movies-grid {
    grid-template-columns: repeat(1, minmax(220px, 1fr));;
  }
}

@media screen and (max-width: 800px) {
  body {
    font-size: 14px/1.4;
  }
  #main-section {
    flex-direction: column !important;
  }
  #movies-grid {
    grid-template-columns: repeat(2, minmax(220px, 1fr));
  }
  #featured-movies {
    order: -1;
  }
  #featured-movies .card {
    max-width: 100% !important;
  }
}

@media screen and (max-width: 1050px) {
  #movies-grid {
    grid-template-columns: repeat(2, minmax(220px, 1fr));
  }
}